
\connect "MARKET"

-- -----------------------------------------------------------------------------
-- Table: markets
-- -----------------------------------------------------------------------------

-- -----------------------------------------------------------------------------
-- Table: year_end_prices
-- -----------------------------------------------------------------------------
CREATE INDEX year_end_prices_idx1
  ON year_end_prices
  USING btree
  (year);

CREATE INDEX year_end_prices_idx2
  ON year_end_prices
  USING btree
  (market_ptr, year);

CREATE INDEX year_end_prices_idx3
  ON year_end_prices
  USING btree
  (price);

CREATE INDEX year_end_prices_idx4
  ON year_end_prices
  USING btree
  (market_ptr, price);

-- -----------------------------------------------------------------------------
-- Table: day_end_prices
-- -----------------------------------------------------------------------------
CREATE INDEX day_end_prices_idx1
  ON day_end_prices
  USING btree
  ("day");

CREATE INDEX day_end_prices_idx2
  ON day_end_prices
  USING btree
  (market_ptr, "day");

CREATE INDEX day_end_prices_idx3
  ON day_end_prices
  USING btree
  (price);

CREATE INDEX day_end_prices_idx4
  ON day_end_prices
  USING btree
  (market_ptr, price);

-- -----------------------------------------------------------------------------
-- Table: futures_expirations
-- -----------------------------------------------------------------------------
CREATE INDEX futures_expirations_idx1
  ON futures_expirations
  USING btree
  (market_ptr);

CREATE INDEX futures_expirations_idx2
  ON futures_expirations
  USING btree
  (market_ptr, last_trading_day);


-- -----------------------------------------------------------------------------
-- Table: email_addresses
-- -----------------------------------------------------------------------------
CREATE INDEX email_addresses_idx1
  ON email_addresses
  USING btree
  (type);